javax.visrec.ml.data

## Class DataSet.Column

- java.lang.Object
- - javax.visrec.ml.data.DataSet.Column

Enclosing interface:
  DataSet<E>

    public static class DataSet.Column
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Column(String name, DataSet.ColumnType type, boolean isTarget)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`DataSet.ColumnType` `getType()`
`boolean` `isTarget()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Column

    public Column(String name,
                  DataSet.ColumnType type,
                  boolean isTarget)

### Method Detail

#### getName

    public String getName()

#### getType

    public DataSet.ColumnType getType()

#### isTarget

    public boolean isTarget()